package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.OrderBean;
import com.wd.workoffice.bean.ProductBean;
import com.wd.workoffice.bean.WarehoustBean;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface WorkWarehouseContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getWarehouse(Map<String, Object> param);

        Observable<BaseBean> getOrder(Map<String, Object> param);

    }

    interface View extends IBaseView {
        void getWarehouse(List<WarehoustBean.RecordsBean> dataList);

        void getOrder(List<OrderBean> dataList);
    }

    interface Presenter extends IBasePresenter<View> {
        void getWarehouse(Map<String, Object> param);

        void getOrder(Map<String, Object> param);
    }
}
